using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Com.FirmLib.UI.Common;

namespace Com.FirmLib.UI.Manufacturer.Model
{
    /// <summary>
    /// 生产商参数
    /// </summary>
    public class ManufactureParameter
    {
        public ManufactureParameter()
        {
            Manufacture = new IdNameItem();
            Branch = new IdNameItem();
            Product = new IdNameItem();
            Type = new IdNameItem();
            Project = new IdNameItem();
        }

        /// <summary>
        /// 厂商ID
        /// </summary>
        public IdNameItem Manufacture{ get; private set; }
        /// <summary>
        /// 品牌ID
        /// </summary>
        public IdNameItem Branch { get;private set; }
        /// <summary>
        /// 产品ID
        /// </summary>
        public IdNameItem Product { get; private set; }
        /// <summary>
        /// 类型ID
        /// </summary>
        public IdNameItem Type { get; private set; }



        /// <summary>
        /// 项目
        /// </summary>
        public IdNameItem Project { get; private set; }

    }
}
